FROM alpine:3.10.2
VOLUME /root/.ssh
VOLUME /tmp
#AWS CLI requires groff and less to print help
RUN apk -v --update add \
        jq \
        python3 \
        groff \
        less \
        bash \
        zip
RUN python3 -m pip install --upgrade pip
RUN pip install --upgrade boto3 boto awscli python-magic requests
RUN apk -v --purge del py-pip
ADD scripts/aws-console.py /opt/bin/aws-console.py
ADD scripts/assumeRole /opt/bin/assumeRole
ENV PATH=$PATH:/opt/bin
ENTRYPOINT [ "assumeRole" ]